package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Rtu;

import java.util.List;

/**
 * RtuMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface RtuMapper {
    /**
     * 查询Rtu
     *
     * @param rtuNo RtuID
     * @return Rtu
     */
    public Rtu selectRtuById(Long rtuNo);

    /**
     * 查询Rtu列表
     *
     * @param rtu Rtu
     * @return Rtu集合
     */
    public List<Rtu> selectRtuList(Rtu rtu);

    /**
     * 新增Rtu
     *
     * @param rtu Rtu
     * @return 结果
     */
    public int insertRtu(Rtu rtu);

    /**
     * 修改Rtu
     *
     * @param rtu Rtu
     * @return 结果
     */
    public int updateRtu(Rtu rtu);

    /**
     * 删除Rtu
     *
     * @param rtuNo RtuID
     * @return 结果
     */
    public int deleteRtuById(Long rtuNo);
}
